Validate format of dhcp-range option
Status: Closed

Priority: Normal

Assignee: Ewoud Kohl van Wijngaarden
Category: Foreman modules

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1281743 Red Hat JIRA:
Pull request: https://github.com/theforeman/puppet-dh

cp/pull/112
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1281743
Description of problem:
katello-installer with --capsule-dhcp-range is not able to set to default when using "false" or it doesn't check the syntax.

Version-Release number of selected component (if applicable):
6.1.3

How reproducible:
install satellite witch capsule and dhcp support

Steps to Reproduce:

1. After the satellite with capsule is installed, run:

2. katello-installer --capsule-dhcp-range "1 1" -> will fail, in the config
will be row like this: range "1 1"

3. katello-installer --capusle-dhcp-range false -> will fail, in the config
will be row like this: range false

Actual results:
There is wrong value for dhcp range

Expected results:
User receive an error message, when the syntax is not correct or in the case of "false”, which supposed to be default, the range will
be set to default

Associated revisions

Revision 7d315254 - 10/11/2017 04:41 PM - Ewoud Kohl van Wijngaarden
Fixes #16913 - Add validation for the dhcp range

History

#1 - 10/14/2016 02:57 AM - Dominic Cleal
- Project changed from Foreman to Installer

- Subject changed from Validate format of dhcp-range option
to Validate format of dhcp-range option

- Category set to Foreman modules

#2 - 05/20/2017 09:54 AM - Anonymous

Stephen, what's the status here with recent versions?
#3 - 05/20/2017 03:57 PM - Ewoud Kohl van Wijngaarden

Looks like theforeman-dhcp doesn't use Puppet 4 types and theforeman-foreman_proxy accepts String. We could narrow this down to a Pattern to
validate this.
#4 - 10/11/2017 12:17 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/puppet-dhcp/pull/112 added

#5 - 10/12/2017 07:59 PM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset puppet-dhcp|7d31525491d362f090a31fad3bfe1802adcd59f4.
